---
title: Window.onvrdisplaypointerunrestricted
slug: Web/API/Window/onvrdisplaypointerunrestricted
tags:
  - Event Handler
  - Experimental
  - Property
  - WebVR
  - Window
  - onvrdisplaypointerunrestricted
---
<div>{{DefaultAPISidebar("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>onvrdisplaypointerunrestricted</code></strong> property of the {{domxref("Window")}} interface represents an event handler that will run when the VR display's pointer input is no longer restricted to consumption via a <a href="/en-US/docs/Web/API/Pointer_Lock_API">pointerlocked element</a>.</p>

<p>The event object is of type {{domxref("VRDisplayEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>window</em>.onvrdisplaypointerunrestricted = <em>functionRef</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.onvrdisplaypointerunrestricted = function() {
  // Run code to handle freeing app from pointer lock
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-window-onvrdisplaypointerunrestricted', 'onvrdisplaypointerunrestricted')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.onvrdisplaypointerunrestricted")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
